﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics45.Web.jQuery.v13.2, Version=13.2.20132.2187, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v13.2, Version=13.2.20132.2187, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.18/jquery-ui.min.js"></script>
    <script type="text/javascript" src="ig_ui/js/min/ig.ui.min.js"></script>

    <link href="ig_ui/themes/base/ig.ui.min.css" rel="stylesheet" type="text/css" />
    <link href="ig_ui/themes/ig/jquery.ui.custom.min.css" rel="stylesheet" type="text/css" />

    <script>
        function WebUpload1_FileUploaded(eventArgs, infoObject) {
            document.getElementById('<%= filePathHF.ClientID %>').value = infoObject.filePath;
            document.getElementById('<%= updateDSBtn.ClientID %>').click();
        }

        function btnClick(ImageID) {
            $("#WebUpload1_ibb_fp").click();
            document.getElementById('<%= rowIDHF.ClientID %>').value = ImageID;
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <br />
            <asp:UpdatePanel ID="updGrid" runat="server" UpdateMode="Conditional">
                <ContentTemplate>

                    <%= DateTime.Now.ToString() %>

                    <ig:WebDataGrid ID="WebDataGrid1" runat="server" AutoGenerateColumns="False" DataSourceID="ImagesDS"
                        Height="400px" Width="70%">
                        <Columns>
                            <ig:BoundDataField DataFieldName="Id" Key="Id">
                                <Header Text="Id">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="LastName" Key="LastName">
                                <Header Text="LastName">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="FirstName" Key="FirstName">
                                <Header Text="FirstName">
                                </Header>
                            </ig:BoundDataField>
                            <ig:BoundDataField DataFieldName="Address" Key="Address">
                                <Header Text="Address">
                                </Header>
                            </ig:BoundDataField>
                            <ig:TemplateDataField Key="ImageFromDir" Width="20%">
                                <ItemTemplate>
                                    <table style="width: 210px;">
                                        <tr>
                                            <td style="width: 50%;">
                                                <asp:Image ID="Image1" runat="server" ImageUrl='<%# Eval("ImageFromDir") %>' /></td>
                                            <td style="width: 50%;">
                                                <input id="uploadBtn" type="button" onclick='<%# String.Format("javascript:return btnClick(\"{0}\")", Eval("Id").ToString()) %>'
                                                    value='<%# Eval("ImageFromDir") == DBNull.Value ? "Upload" : "Change" %>' /></td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                                <Header Text="ImageFromDir">
                                </Header>
                            </ig:TemplateDataField>
                        </Columns>
                    </ig:WebDataGrid>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="updateDSBtn" EventName="Click" />
                </Triggers>
            </asp:UpdatePanel>


            <div style="display: none;">
                <asp:Button ID="updateDSBtn" runat="server" OnClick="updateDSBtn_Click" />
            </div>

            <asp:HiddenField ID="filePathHF" runat="server" />
            <asp:HiddenField ID="rowIDHF" runat="server" />

            <div style="display: none;">
                <ig:WebUpload ID="WebUpload1" Mode="Multiple" runat="server" Enabled="true"
                    MaxSimultaneousFilesUploads="2"
                    AutoStartUpload="true">
                    <ClientEvents FileUploaded="WebUpload1_FileUploaded" />
                </ig:WebUpload>
            </div>


            <asp:SqlDataSource ID="ImagesDS" runat="server" ConnectionString="<%$ ConnectionStrings:ImagesDBConnectionString %>"
                SelectCommand="SELECT [Id], [LastName], [FirstName], [Address], [ImageFromDir] FROM [ImagesTable]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
