﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    public static string connString = ConfigurationManager.ConnectionStrings["ImagesDBConnectionString"].ConnectionString;

    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebUpload1.ProgressUrl = this.ResolveUrl("~/IGUploadStatusHandler.ashx");
    }

    protected void updateDSBtn_Click(object sender, EventArgs e)
    {
        string fileName = filePathHF.Value.ToString();
        string filePath = ConfigurationManager.AppSettings["fileUploadPath"].ToString() + "/" + fileName;

        UpdateImage(filePath);
    }

    private void UpdateImage(string path)
    {
        SqlConnection conn = new SqlConnection(connString);

        SqlCommand cmd = new SqlCommand();

        cmd.CommandText = "UPDATE [ImagesTable] SET [ImageFromDir] = @ImageFromDir WHERE [Id] = @Id"; 

        cmd.CommandType = CommandType.Text;
        cmd.Connection = conn;

        cmd.Parameters.AddWithValue("@ImageFromDir", path);
        cmd.Parameters.AddWithValue("@Id", rowIDHF.Value.ToString());

        int result = 0;

        try
        {
            conn.Open();

            result = cmd.ExecuteNonQuery();
        }
        catch (SqlException e)
        {
            // Handle exception.
        }
        finally
        {
            conn.Close();
        }
    }
}